org.apache.uima.fit.descriptor

## Annotation Type TypeCapability

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface TypeCapability

  A typical use of this annotation might look something like:

        @TypeCapability(
         inputs="org.apache.uima.fit.type.Token",
         outputs="org.apache.uima.fit.type.Token:pos")

  or

        @TypeCapability(
         inputs={"org.apache.uima.fit.type.Token","org.apache.uima.fit.type.Sentence"},
         outputs={"org.apache.uima.fit.type.Token:pos", "org.apache.uima.tutorial.RoomNumber"})

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static String` | `NO_DEFAULT_VALUE` Provides the default value for the inputs and the outputs that tells the CapabilityFactory that no value has been given to the inputs or outputs elements.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `inputs` inputs can be type names or feature names.
    `String[]` | `outputs` outputs can be type names or feature names.

- - ### Field Detail

    - #### NO_DEFAULT_VALUE

          public static final String NO_DEFAULT_VALUE

      Provides the default value for the inputs and the outputs that tells the CapabilityFactory that no value has been given to the inputs or outputs elements.

  - ### Element Detail

    - #### inputs

          public abstract String[] inputs

      inputs can be type names or feature names. A feature name typically looks like a type name followed by a colon (':') followed by the feature name. A valid feature name from the uimaFIT test type system is "org.apache.uima.fit.type.Token:pos"
      Returns:
        the input types
      Default:
        "org.apache.uima.fit.descriptor.TypeCapability.NO_DEFAULT_VALUE"

  - - #### outputs

          public abstract String[] outputs

      outputs can be type names or feature names. A feature name typically looks like a type name followed by a colon (':') followed by the feature name. A valid feature name from the uimaFIT test type system is "org.apache.uima.fit.type.Token:pos"
      Returns:
        the output types
      Default:
        "org.apache.uima.fit.descriptor.TypeCapability.NO_DEFAULT_VALUE"

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.